Subject: how sensitive is mod_ssl.c to compiler and OS?

From: Matthew Hannigan <[email-masked]>
Date: Thu, 15 Aug 2002 09:10:00 +1000

I have a number of apache/mod_ssl servers
deployed on solaris2.6, compiled with Sun's
compiler.

My dev environment is solaris8, with later
version of Sun's C compiler.

Can I expect that compiling the latest mod
on sol8 will work on sol2.6?

Just how sensitive is apxs/dso to compiler
and OS version?  I know that sol8 had an
extra library or two that I might need to 
patch sol2.6 with, and I need to check 32/64bit
and cpu type directives; but what else?

What about compiling the module with gcc on
solaris2.6 and loading that in a Sun C compiled
apache?  (since I no longer have a licensed
Sun compiler on a 2.6 machine)

I realise I'm covering a lot of ground here,
(Solaris, Apache, compilers, dynamic loading)

But since mod_ssl is the particular thing I'm
upgrading, I hope this list would have some
ready answers/experiences to share.

Regards
Matt

PS wouldn't it be a nice feature for apxs to
also report the environment (PATH) and other
things that influenced the build of the original
apache and modules?
______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]